;InnoSetupVersion=5.2.3

[Setup]
AppName=ShellLess 1.24
AppVerName={cm:MyAppVerName,1.24}
AppId=ShellLess
AppVersion=1.2.4.0
DefaultDirName={pf}\ShellLess
DefaultGroupName=ShellLess
UninstallDisplayIcon={app}\ShellLess.exe
OutputBaseFilename=in
Compression=lzma
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\ShellLess.exe"; DestDir: "{app}"; 
Source: "{app}\shhelper.dll"; DestDir: "{app}"; 
Source: "{app}\favorite.xml"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\shellless.chm"; DestDir: "{app}"; 
Source: "{app}\backgroud.bmp"; DestDir: "{app}"; 
Source: "{app}\layout\Auto hide.lay"; DestDir: "{app}\layout"; 
Source: "{app}\layout\Clean.lay"; DestDir: "{app}\layout"; 
Source: "{app}\layout\Title.lay"; DestDir: "{app}\layout"; 
Source: "{app}\layout\Commander.lay"; DestDir: "{app}\layout"; 
Source: "{app}\layout\Dual Panels Vertical.lay"; DestDir: "{app}\layout"; 
Source: "{app}\layout\Dual Panels Horizontal.lay"; DestDir: "{app}\layout"; 
Source: "{app}\layout\Vista.lay"; DestDir: "{app}\layout"; 
Source: "{app}\layout\Windows Explorer.lay"; DestDir: "{app}\layout"; 
Source: "{app}\styles\Office2007Aqua.dll"; DestDir: "{app}\styles"; 
Source: "{app}\styles\Office2007Black.dll"; DestDir: "{app}\styles"; 
Source: "{app}\styles\Office2007Blue.dll"; DestDir: "{app}\styles"; 
Source: "{app}\styles\Office2007Silver.dll"; DestDir: "{app}\styles"; 
Source: "{app}\License.txt"; DestDir: "{app}"; Languages: "en"; 
Source: "{app}\Readme.txt"; DestDir: "{app}"; Languages: "en"; 

[Dirs]
Name: "{app}\workspace"; 

[Registry]
Root: HKCR; Subkey: "folder\shell"; ValueType: String; ValueData: "ShellLess"; Tasks: defaultexplorer; Flags: uninsclearvalue 
Root: HKCR; Subkey: "Folder\shell\ShellLess"; ValueType: String; ValueData: "Open in &ShellLess"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\shell\ShellLess\command"; ValueType: String; ValueData: """{app}\ShellLess.exe"" ""%I"""; Flags: uninsdeletekey 
Root: HKCR; Subkey: "Folder\shell\ShellLess\ddeexec"; ValueType: String; ValueData: """%I"""; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "ShellLess"; ValueType: String; ValueData: "{app}\ShellLess.exe hide"; Tasks: startwithwindows; Flags: uninsdeletekey 

[Run]
Filename: "{app}\Readme.txt"; Languages: "en"; Flags: shellexec skipifdoesntexist postinstall skipifsilent nowait
Filename: "{app}\ShellLess.exe"; Flags: postinstall nowait

[Icons]
Name: "{group}\{cm:MyAppName}"; Filename: "{app}\ShellLess.exe"; WorkingDir: "{app}"; 
Name: "{group}\{cm:UninstallProgram,{cm:MyAppName}}"; Filename: "{uninstallexe}"; WorkingDir: "{app}"; 
Name: "{group}\{cm:MyHelpFileName}"; Filename: "{app}\ShellLess.chm"; 
Name: "{userdesktop}\ShellLess"; Filename: "{app}\ShellLess.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\{cm:MyAppName}"; Filename: "{app}\ShellLess.exe"; WorkingDir: "{app}"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "quicklaunchicon"; Description: "{cm:CreateQuickLaunchIcon}"; GroupDescription: "{cm:AdditionalIcons}"; 
Name: "defaultexplorer"; Description: "Set ShellLess as default file explorer"; GroupDescription: "Default Explorer"; 
Name: "startwithwindows"; Description: "Set ShellLess to start with Windows"; GroupDescription: "Start with Windows"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...
nl.NameAndVersion=%1 versie %2
nl.AdditionalIcons=Extra snelkoppelingen:
nl.CreateDesktopIcon=Maak een snelkoppeling op het &bureaublad
nl.CreateQuickLaunchIcon=Maak een snelkoppeling op de &Snel starten werkbalk
nl.ProgramOnTheWeb=%1 op het Web
nl.UninstallProgram=Verwijder %1
nl.LaunchProgram=&Start %1
nl.AssocFileExtension=&Koppel %1 aan de %2 bestandsextensie
nl.AssocingFileExtension=Bezig met koppelen van %1 aan de %2 bestandsextensie...
de.NameAndVersion=%1 Version %2
de.AdditionalIcons=Zustzliche Symbole:
de.CreateDesktopIcon=&Desktop-Symbol erstellen
de.CreateQuickLaunchIcon=Symbol in der Schnellstartleiste erstellen
de.ProgramOnTheWeb=%1 im Internet
de.UninstallProgram=%1 entfernen
de.LaunchProgram=%1 starten
de.AssocFileExtension=&Registriere %1 mit der %2-Dateierweiterung
de.AssocingFileExtension=%1 wird mit der %2-Dateierweiterung registriert...
en.MyDescription=ShellLess Explorer
en.MyAppName=ShellLess Explorer
en.MyAppVerName=ShellLess Explorer %1
en.MyAppExeName= ShellLess.exe
en.MyHelpFileName=ShellLess Help
en.MyHelpFile= ShellLess.chm
nl.MyDescription=ShellLess Explorer
nl.MyAppName=ShellLess Explorer
nl.MyAppVerName=ShellLess Explorer %1
nl.MyAppExeName= ShellLess.exe
nl.MyHelpFileName= ShellLess Help
nl.MyHelpFile= ShellLess.chm
de.MyDescription=ShellLess Explorer
de.MyAppName=ShellLess Explorer
de.MyAppVerName=ShellLess Explorer %1
de.MyAppExeName= ShellLess.exe
de.MyHelpFileName= ShellLess Help
de.MyHelpFile= ShellLess.chm

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; LicenseFile: "embedded\enLicense.txt"; 
Name: "nl"; MessagesFile: "embedded\nl.isl"; 
Name: "de"; MessagesFile: "embedded\de.isl"; 
